/* ============================================= */
/* CSS for control sap.ui.commons/SegmentedButton.control */
/* ============================================= */

/*std button styling */
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnNorm.sapUiBtnStd:not(.sapUiSegButtonSelected) {
	box-shadow: 0 1px 0 0 lighten(@sapUiButtonBackground, 11%) inset, 1px 0 0 0 lighten(@sapUiButtonBackground, 11%) inset;
}
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnNorm.sapUiBtnStd:first-of-type:not(.sapUiSegButtonSelected) {
	box-shadow: 0 1px 0 0 lighten(@sapUiButtonBackground, 11%) inset;
}
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnNorm.sapUiBtnStd:focus:not(.sapUiSegButtonSelected),
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnNorm.sapUiBtnStd:hover:not(.sapUiSegButtonSelected) {
	box-shadow: 0 1px 0 0 lighten(desaturate(@sapUiHighlight, 50%), 30%) inset, 1px 0 0 0 lighten(desaturate(@sapUiHighlight, 50%), 30%) inset;
}
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnNorm.sapUiBtnStd:first-of-type:focus:not(.sapUiSegButtonSelected),
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnNorm.sapUiBtnStd:first-of-type:hover:not(.sapUiSegButtonSelected) {
	box-shadow: 0 1px 0 0 lighten(desaturate(@sapUiHighlight, 50%), 30%) inset;
}
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnNorm.sapUiBtnStd.sapUiSegButtonSelected,
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnNorm.sapUiBtnAct.sapUiSegButtonSelected {
	box-shadow:  0 -1px 0 0 lighten(desaturate(@sapUiHighlight, 50%), 30%) inset;
	cursor: default;
	background-color: @sapUiHighlight;
	color: @sapUiTextSelection;
}

/* lite button styling */
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnLite.sapUiBtnStd {
	background-color: @sapUiWhiteBG;
}
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnLite.sapUiBtnStd:hover,
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnLite.sapUiBtnStd:focus {
	background-color: @sapUiHighlight;
}
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnLite.sapUiBtnStd.sapUiSegButtonSelected,
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnLite.sapUiBtnAct.sapUiSegButtonSelected {
	background-color: @sapUiHighlight;
	color: @sapUiTextSelection;
	cursor: default;
}